net.minecraft.client.shader

## Class ShaderManager

- java.lang.Object
- - net.minecraft.client.shader.ShaderManager

-     public class ShaderManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShaderManager(IResourceManager p_i45087_1_, java.lang.String p_i45087_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShaderUniform` | `func_147984_b(java.lang.String p_147984_1_)`
    `void` | `func_147985_d()`
    `int` | `func_147986_h()`
    `void` | `func_147988_a()`
    `ShaderLoader` | `func_147989_e()`
    `ShaderUniform` | `func_147991_a(java.lang.String p_147991_1_)`
    `void` | `func_147992_a(java.lang.String p_147992_1_, java.lang.Object p_147992_2_)`
    `void` | `func_147993_b()`
    `ShaderLoader` | `func_147994_f()`
    `void` | `func_147995_c()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShaderManager

          public ShaderManager(IResourceManager p_i45087_1_,
                       java.lang.String p_i45087_2_)
                        throws JsonException

      Throws:
        `JsonException`

  - ### Method Detail

    - #### func_147988_a

          public void func_147988_a()

    - #### func_147993_b

          public void func_147993_b()

    - #### func_147995_c

          public void func_147995_c()

    - #### func_147985_d

          public void func_147985_d()

    - #### func_147991_a

          public ShaderUniform func_147991_a(java.lang.String p_147991_1_)

    - #### func_147984_b

          public ShaderUniform func_147984_b(java.lang.String p_147984_1_)

    - #### func_147992_a

          public void func_147992_a(java.lang.String p_147992_1_,
                           java.lang.Object p_147992_2_)

    - #### func_147989_e

          public ShaderLoader func_147989_e()

    - #### func_147994_f

          public ShaderLoader func_147994_f()

    - #### func_147986_h

          public int func_147986_h()